com.dlsc.flexgantt.model.scheduling

## Enum ConstraintType

- java.lang.Object
- - java.lang.Enum<ConstraintType>
  - - com.dlsc.flexgantt.model.scheduling.ConstraintType

- All Implemented Interfaces:
    Serializable, Comparable<ConstraintType>

      public enum ConstraintType
      extends Enum<ConstraintType>

  Constraints can be hard or soft constraints.
  Since:
    2.1
  Author:
    Dirk Lemmermann

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HARD` A hard constraint is a constraint that MUST be valid.
    `SOFT` A soft constraint is a constraint that SHOULD be valid.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConstraintType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConstraintType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HARD

          public static final ConstraintType HARD

      A hard constraint is a constraint that MUST be valid.
      Since:
        2.1

    - #### SOFT

          public static final ConstraintType SOFT

      A soft constraint is a constraint that SHOULD be valid.
      Since:
        2.1

  - ### Method Detail

    - #### values

          public static ConstraintType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConstraintType c : ConstraintType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConstraintType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.